/*
 *  tileofday.h
 *
 *  Written by:		Ullrich Hafner
 *  
 *  Copyright (C) 1998 Ullrich Hafner <hafner@bigfoot.de>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
 */

/*
 *  $Date: 1999/04/06 11:45:05 $
 *  $Author: hafner $
 *  $Revision: 1.12 $
 *  $State: Exp $
 */

#ifndef _TILEOFDAY_H
#define _TILEOFDAY_H

#include <gtk/gtk.h>
#include "config.h"

void
tileofday_dialog (GtkWidget *widget, gpointer ptr);
void
cleanup_tileofday (void);

#if defined(HAVE_POPEN) && defined(CRONTAB)

#include "misc.h"
#include "texture.h"

void
check_valid_tileofday (wtexture_t *wtexture);
void
read_crontab (void);
bool_t
save_crontab (void);
bool_t
crontab_changed (void);
#endif /*  defined(HAVE_POPEN) && defined(CRONTAB) */

#endif /* not _TILEOFDAY_H */

